List the contents of a volume

This call lists the contents of a specific volume. The volume is specified as volume_id and consists of the owner and name of a volume (for example rfranklin/my-first-volume).

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

If you are using Seven Bridges Platform EU, please use the following endpoint: https://eu-api.sbgenomics.com/v2/storage/volumes/{volume_owner}/{volume_name}/list

Here's the list of available values for the fields query parameter and their descriptions:

ValueDescription
hrefShows only the href of each returned item.
locationShows only the location (path) within the volume for each returned item.
volumeShows only the volume on which the returned item is located, in the <user-name>/<volume-name> format.
typeShows only the type of the returned item. Type is s3 for items stored on an AWS S3 bucket and gcp for items stored on a Google Cloud Storage bucket.
metadataShows only the storage-provider-generated metadata for each of the returned items.
_allShows all standard fields for each returned item, with the addition of corresponding metadata.

Response

See a list of Seven Bridges Platform-specific response codes that may be contained in the body of the response.

Interpreting the response body

  • href: Use the information contained in the href to make another request to obtain more details about a specific object within a volume.
Path Params
string
required

The username of the volume owner.

string
required

The name of the volume you want to query.

Query Params
string

The name of the folder in case you want to list the contents of a folder.

fields
array of strings

Selector specifying a subset of fields to include in the response.

fields
Headers
string
required

Your Seven Bridges Platform authentication token. For security reasons, token will not be automatically populated in the generated code sample. Please replace <your-token-here> with your token before executing this call.

Response

Language
LoadingLoading…
Response
Choose an example:
application/json